public class MyNewExceptionTester {
    static void  employeeAge(int age) throws MyOwnException{
        if(age < 0)
            throw new MyOwnException("Age can't be less than zero");
        else
            System.out.println("Input is valid!!");
    }
    public static void main(String[] args) {
        try {
            employeeAge(-2);
        }
        catch (MyOwnException e) {
            e.printStackTrace();
            // ^ Si comento esta linea no sale nada por pantalla
            // porque he hecho un catch. El printStackTrace() imprime
            // lo que saldría si no hiciera un catch
        }
    }    
}
